Bug 142577 - sysutils/conky does not display information for each core CPU is more than one
Summary: sysutils/conky does not display information for each core CPU is more than one
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-10 17:00 UTC by Ivan Klymenko
Modified: 2014-10-06 20:57 UTC (History)
0 users

See Also:


Attachments
file.diff (3.99 KB, patch)
2010-01-10 17:00 UTC, Ivan Klymenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Klymenko 2010-01-10 17:00:16 UTC
Programm conky does not display information for each core CPU is more than one.
In the source code freebsd.c in written:
/* XXX: FreeBSD doesn't allow to get per CPU load stats on SMP machines.
* It's possible to get a CPU count, but as we fulfill only
* info.cpu_usage[0], it's better to report there's only one CPU.
* It should fix some bugs (e.g. cpugraph) */

Fix: I created a patch

Patch attached with submission follows:
How-To-Repeat: ever
Comment 1 Dmitry Marakasov freebsd_committer 2010-01-10 19:20:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2010-01-10 19:21:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback
Comment 3 Dmitry Marakasov 2010-01-10 23:06:40 UTC
> Synopsis: Programm conky does not display information for each core CPU is more than one
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=142577

Better version of a patch, discussed with original submitter:

http://people.freebsd.org/~amdmi3/patch-src-freebsd.c

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 4 Dmitry Marakasov freebsd_committer 2010-01-28 01:58:01 UTC
State Changed
From-To: feedback->open

Maintainer timeout
Comment 5 Dmitry Marakasov freebsd_committer 2010-01-28 01:59:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2010-01-28 01:59:43 UTC
amdmi3      2010-01-28 01:59:35 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/conky       Makefile 
  Added files:
    sysutils/conky/files patch-src-freebsd.c 
  Log:
  - Support reporting per-core CPU load statistics
  
  PR:             142577
  Submitted by:   Ivan Klymenko <fidaj@ukr.net>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.51      +1 -1      ports/sysutils/conky/Makefile
  1.15      +145 -0    ports/sysutils/conky/files/patch-src-freebsd.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"